Getting Started

Window Washer® lets you protect your privacy and improve your computer's performance by removing unwanted information and files.

Window Washer "washes" your computer, that is, it removes the information and files from your computer whenever you want it to.

Window Washer has two versions of the user interface that come packaged together. When you install Window Washer, you decide which version you want to start with, but you can change back and forth between them as needed (see Changing between the Basic and Advanced User Interfaces):

  • Basic User Interface—This gives you the basic wash functions that let you remove unwanted files and information from your system. This interface is for new computer users who want to protect their privacy, but who are new to using Windows. This Getting Started section describes the functions available using this interface.
  • Advanced User Interface—This gives you all of the basic wash functions plus many advanced functions to give you more control over how Window Washer washes your computer. This interface is for more advanced computer users who have a good understanding of Windows. The other sections of this Guide describe the functions available using this interface.


About This Help

This help tells you how to set up and use Window Washer 5.0 to protect your privacy and improve your computer's performance. It assumes that you have a basic understanding of how to use the Windows operating system.


Conventions

This help uses several typographical conventions to help explain how to use Window Washer.

Convention
Definition
Bold
Words in bold show items to select or click, such as menu items or buttons.
Note
This symbol means the following information is a note that gives you important information that may affect how you use Window Washer.
Caution
This symbol means the following information is a caution that warns you about actions that may affect your ability to use some programs on your computer.

This symbol means that the following information is a procedure.


Understanding Privacy Issues

Privacy issues take many forms depending on whether you are the only user of your computer or you use a public computer, among other factors. The following information is not meant to be a complete discussion of all computer privacy issues. We hope that it will acquaint you with some of the privacy issues that Window Washer can address for you.

As you work on your computer and browse the Internet, you leave behind traces of what you have done. These traces may be in the form of temporary files on your hard drive, lists of recently used files in programs, lists of recently visited Web sites, or cookies that Web sites place on your hard drive.

Anyone who has access to your computer, whether a hacker or someone who sits down at your desk, can view these traces and know where you have been and what you have done on your computer. Removing these traces may be particularly important if you share a computer with others or are working on a public computer.

In addition, some Web sites place small files, called cookies, on your computer. Cookies store information about your interaction with a Web site. That information may just track which ads the site displayed while you were there to make sure the site does not display the same ads. Other cookies may store preferences that you set, passwords you create for the site, information about the pages you visited, and more. For more information about cookies, see Customizing Cookie Washing.

Even if you use encryption on your files to protect them, temporary files that are frequently stored on your computer do not contain any encryption. Temporary files often result from a program closing because of a problem. Someone accessing your computer can open those temporary files and see the data in them.

You can set up Window Washer to wash away (delete) any or all of these traces of your activity. At home, you may want to be sure that Internet companies cannot track your Web browsing patterns based on the cookies they place on your computer. At work, you may want to keep information private for a number of reasons, including protecting your methods (sources you use and Web sites you visit). They may be part of your intellectual property that you want to protect.


Understanding Performance Issues

Computer performance issues take many forms depending on how you use your computer. The following information is not meant to be a complete discussion of all computer performance issues. We hope that it will acquaint you with some of the performance issues that Window Washer can address for you.

Windows stores many files on your computer without you being aware of them. Many files are useful, and even required, for your computer to operate properly. Other files, however, are not necessary and take up valuable space on your hard drive. Even with today's large hard drives, storing many potentially large, unnecessary files can impair your computer's performance.

When combined, many small files, like cookies and recently used file lists, may take up a lot of space on your hard drive. Windows keeps a list of all files on your computer and uses that list each time you open or search for files. The longer the list, the longer it can take to open or search for files. Over time, without doing any "washing," your computer may perform more slowly.

You can set up Window Washer to wash away (delete) these unnecessary files.


Installing Window Washer

Depending on how you purchased Window Washer, you may be installing it from a CD or from a file you download from the Webroot® Web site.

If you are upgrading from a previous version of Window Washer, you do not need to uninstall the old version first. In fact, installing the new version over the old one lets you automatically retain your Window Washer settings.

Step Introduction icon To install Window Washer:

  1. Close all other programs that you have open on your computer.
  2. Start the installation program.

    3. To install from a CD
    To install from a downloaded file
    1. Insert the CD into your CD drive.
      • The installation options should display automatically. If they do not, use Windows Explorer to navigate to your CD drive. Then double-click install.exe to start the installation.
    2. Click Install Window Washer to start the installation.
      • The Window Washer Setup window displays.
    1. Follow the instructions on the Web site to download the file.
    2. Using Windows Explorer, navigate to where you downloaded the file.
    3. Double-click the file you downloaded to start the installation.
      • The Window Washer Setup window displays.

  3. Click Yes to install Window Washer.
    • The Window Washer Disclaimer and License Agreement window displays.

  4. Read the license agreement and click I Agree if you agree with the content.
    • The Washer Advanced Options Settings window displays.

  5. Select or deselect the options you want.

    6. Click to see a description of each option.

    Option
    Description
    Advanced User Interface (More Options)
    Selecting this option gives you access to the full range of settings and options Window Washer offers. Many of these options require an in-depth understanding of Windows and your computer's configuration. For information about changing this setting, see Changing between the Basic and Advanced User Interfaces.
    Automatic Check for Washer Updates
    Selecting this option tells Window Washer to automatically let you know when an updated version is available for downloading. You must be connected to the Internet for this option to work.
    Wash AutoComplete Form Data (Internet Explorer)
    Wash Form Manager Data (Netscape)
    This is a list of information that you entered into forms on Web sites recently. You see the information only when you visit a Web site and start entering the same information, for example your e-mail address or password, and the information automatically displays as you start to type. This may include user names and passwords you have set up for Web sites that you access. This option deletes the list of recently entered form data from your computer.

  6. Click Next.
    • The Installation Settings window displays.

  7. Select the installation folder and options you want.

    8. Click to see a description of each option.

    Option
    Description
    Current Window Washer Installation Location
    For most users, we recommend letting Window Washer install to the default location that displays.
    Create Start Menu Shortcuts
    This adds Window Washer to your Start menu.
    Create Desktop Shortcut
    This is adds a Window Washer shortcut to your desktop. You can then double-click the shortcut icon to start Window Washer.
    Run Plug-in Auto-detection
    This option lets Window Washer detect other programs that are installed on your system for which Webroot plug-ins exist. A plug-in is a set of Window Washer settings that remove files containing your recent activity for a specific program. For more information about plug-ins, see Working with Plug-ins. If you skip this option or want to run it again later, see Activating Webroot Plug-ins.
    Run Window Washer after Install Is Finished
    This starts Window Washer when you finish the installation and click Exit, so you can review the default settings and run a wash.
    Keep Settings from Previous Install
    This option is available and automatically selected if you are upgrading from a previous version of Window Washer. This maintains all of your current settings and plug-ins from your current version of Window Washer.

  8. Click Install.
    • Window Washer installs and the Window Washer Installation window displays showing the installation progress.

    • If you have Netscape installed, the Netscape Profile Scanner window displays. The Netscape Profile Scanner scans your computer for profiles you have set up for Netscape. The scan may take a few minutes. This lets you select which Netscape profiles you want Window Washer to wash. If you want to skip this process now, you can use the scanner later. For more information, see Selecting Netscape Profiles to Wash.
    • If you do not have Netscape installed, go to step 11.
  9. If the Netscape Profile Scanner window displays, click Next when the scan is complete.
    • The Netscape Profile Scanner lists the profiles it found. If you have not set up any profiles, only the default profile will be on the list.
  10. If the list of Netscape profiles displays, select each profile you want Window Washer to wash and click OK.
    • A selected profile has a check mark in front of it. The Netscape wash options you select will wash each profile selected here. For more information, see Changing Netscape Settings.
    • The Window Washer Installation window displays showing the installation progress.
  11. Click Next.
    • If you selected the Run Plug-in Auto-detection option, the Plug-in Scan for Installed Application window displays. This window shows which programs you have installed for which Window Washer has a plug-in. The check mark next to the program shows that Window Washer will install the plug-in automatically. When you run a wash, the plug-in will run, too.

    • If you did not select this option, go to step 13.
  12. If the Plug-in Scan for Installed Application window displays, deselect any programs whose plug-ins you do not want to activate and click Next.
    • Window Washer will activate each plug-in that has a check mark next to it and use that plug-in when you run a wash. For more information, see Selecting Plug-ins to Use in a Wash.
    • The Successful Installation window displays.

  13. When you see the Successful Installation message, click Exit.
  14. Select whether you want to register now.
    • This takes you to the Webroot Web site to register Window Washer. If you register, you receive one year of free updates and free support.
  15. Click Exit.


Updating Window Washer

Window Washer can notify you whenever a new version is available. You can also check for updates anytime. While your subscription is valid, you can download and install the updated version.

You can see what version you have by clicking About at the top of Window Washer main window.

Note icon Note: You must connect to the Internet to update Window Washer.

Step Introduction icon To update Window Washer:

  1. Start Window Washer, if it is not already running, and display the main window.
    • For more information, see Starting Window Washer.
  2. In the icon panel, click Options.
    • For information about the Window Washer main window, see Understanding the Window Washer Window.
    • The Schedule tab displays.
  3. Click the Update tab.
    • If you want Window Washer to automatically notify you of updates, select the Automatically Check for Washer and Plug-in Updates option at the bottom of the window.
  4. Click Check for Washer Updates.
    • Window Washer opens your Internet browser and takes you to the Webroot Web site.
  5. See if the Web site says that an updated version is available.
    • If you want to return to Window Washer, you may have to start it again. For more information, see Starting Window Washer.
  6. Follow the instructions on the Web site to download the file that contains the updated version.
    • Be sure that you know where you download the file to on your computer.
  7. Follow the installation instructions in Installing Window Washer.


Updating Webroot Plug-ins

Window Washer can notify you whenever a new Webroot plug-in or a new version of an existing Webroot plug-in is available. You can also check for plug-in updates anytime.

Webroot plug-ins come with Window Washer and wash (delete) unnecessary files related to commonly used programs. When a new plug-in is available, you can activate it, which means that Window Washer will use it when you run a wash

If you want to activate an existing Webroot plug-in that you did not activate previously, see Activating Webroot Plug-ins.

Note icon Note: You must connect to the Internet to update the Webroot plug-ins.

Step Introduction icon To update Webroot plug-ins:

  1. Start Window Washer, if it is not already running, and display the main window.
    • For more information, see Starting Window Washer.
  2. In the icon panel, click Options.
    • The Schedule tab displays.
  3. Click the Update tab.
    • If you want Window Washer to automatically notify you of updates, select the Automatically Check for Washer Updates option at the bottom of the window.
  4. Click Check for Plug-in Updates.
    • Window Washer accesses the Webroot Web site and displays messages about the status of any updates. If there are updated plug-ins, Window Washer downloads and activates them for you. You should check to see the new Webroot plug-ins and determine if you want to keep them activated.
    • To select which Webroot plug-ins you want to use during a wash, see Selecting Plug-ins to Use in a Wash.


Starting Window Washer

You can start Window Washer and display the main window a number of ways, depending on the options you selected when you installed it.

Step Introduction icon Start Window Washer and display the main window using one of the following methods:

  • Click Start, point to Programs, point to Window Washer 5, click Window Washer 5.
  • If you have already started Window Washer and clicked Min, it is still running and you should see the Window Washer icon [image] in your system tray in the lower-right corner of your screen.
    • Double-click the Window Washer icon to display the main window or right-click the Window Washer icon and select Washer Settings from the pop-up menu.
    • If you want Window Washer to start automatically when you start Windows and run in your system tray, click Options in the icon panel, then click the Program tab and select the Load Washer at Windows Startup option.
  • If you added an icon on your desktop during installation, double-click the Window Washer icon on your desktop [image].
    • The Window Washer splash screen displays showing the progress of the program starting.
    • The Window Washer window displays. For more information, see Understanding the Window Washer Window.


Understanding the Window Washer Window

The Window Washer window lets you change your wash settings, create customized settings, and run a wash. Figure 1 shows the main window and describes its parts.

Figure 1: Window Washer main window (advanced user interface shown)

Figure 2 shows the settings available when you click the Options icon. Some icons display tabs, as shown here, that give you access to different options.

Figure 2: Window Washer Options, Schedule tab (advanced user interface shown)


Changing between the Basic and Advanced User Interfaces

Window Washer displays the user interface you selected during installation. You can change back and forth between the user interfaces by clicking either Basic or Advanced at the top of the Window Washer main window.


Shutting Down Window Washer

When you are viewing the main Window Washer window, as shown in Understanding the Window Washer Window, you can click Min when you are finished setting up Window Washer. Clicking Min closes the window, but keeps Window Washer running.

If you have set up any scheduled washes or set Window Washer to run whenever you close your browser or shut down Windows, you should keep it running. You know it is running if you see the icon [image] in the system tray in the lower-right corner of your screen.

If you want to completely stop Window Washer from running, you can shut it down. You need to do this when you install a new version of Window Washer.

Step Introduction icon To shut down Window Washer completely:

  1. Do one of the following:
    • Right-click the Window Washer icon [image] in your system tray and select Close Washer from the pop-up menu. The system tray is in the lower-right corner of your screen.
    • If the Window Washer window is open, click Close.
      • Window Washer displays a message letting you know that any automatic washes you have set up will not run after you shut down Window Washer and asks you to confirm that you want to close Window Washer.
      • You can disable this message by clicking Options, then the Program tab. Under Program Settings, select Disable Washer Shutdown Warning. You must have the Advanced User Interface turned on to access these options. For more information, see Changing between the Basic and Advanced User Interfaces.
  2. Click Yes to shut down Window Washer.
    • To start Window Washer, so your automatic washes will run, see Starting Window Washer.


Running a Wash Manually

Window Washer comes with some basic wash settings (called default settings) all ready to go. The following default settings are the items that Window Washer will wash (delete) automatically:

  • Internet Explorer browser
    • Address Bar History—Lists of Web pages that you have visited that are saved in the Address Bar.
    • Bleach Index.dat on Startup—Files where Windows stores information about recently used files and visited Web sites.
    • Cookies—Small files that some Web sites place on your computer. These may include passwords you have set up for some Web sites. For more information, see Customizing Cookie Washing.
    • Media Bar (Player) History—List of files you recently opened using the Internet Explorer Media Bar.
    • Temporary Internet Files Folder—Copies of Web pages that you have visited.
    • History (Visited Sites)—Lists of Web pages that you have visited that are saved in the History.
  • Microsoft Windows
    • Document History—List of files you recently opened on your computer.
    • Find/Search History—List of recently searched for files and folders.
    • Media Player—List of files you recently opened using the Windows Media Player.
    • Recycle Bin—Files in the Recycle Bin.
    • Registry Stream—List of changes you recently made to the Windows registry.
    • Run History—List of programs you recently ran by selecting Start, then Run.
    • Temp Folder—Files in the default Windows temp directory.

You can customize these settings at any time from the advanced user interface. For information about displaying the advanced user interface, see Changing between the Basic and Advanced User Interfaces.

Step Introduction icon To run a wash:

  1. Use one of the following methods to start a wash.

    2. From the Window Washer main window
    From the system tray
    1. Start Window Washer, if it is not already running, and display the main window.
      • For more information, see Starting Window Washer.
    2. In the icon panel, click Wash Now.
      • The items that Window Washer will wash display.
    3. Click Start.
    1. Right-click the Window Washer [image] icon in your system tray and select Wash Now from the pop-up menu.
      • The system tray is in the lower-right corner of your screen.

    • The wash starts and displays its progress.
  2. To view the wash results, click Finished at the bottom of the main panel.
    • For more information about the results, see Viewing Wash Results.
    • You can also view the results by clicking Results in the icon panel.


Viewing Wash Results

You can view the results of a wash and the cumulative results of all washes you have run.

Step Introduction icon To view wash results:

  1. Start Window Washer, if it is not already running, and display the main window.
    • For more information, see Starting Window Washer.
  2. Use one of the following methods to view wash results.

    3. If you just ran a wash
    If you did not just run a wash
      • When the wash finishes, click Finished at the bottom of the main panel.
      • In the icon panel, click Results.

    • The Previous Wash list shows how many files Window Washer deleted during the last wash and how much space those files use on your computer. The Wash History list shows how many files Window Washer deleted and how much space those files used on your computer for all previous washes combined. The date and time of the last wash displays at the bottom of the window.
    • If you do not want Window Washer to store and display when a wash was last run, select Do Not Store Wash Statistics for Any Washing.
    • If you want to set all of the wash statistics to zero, click Clear Statistics.


Running Washes Automatically

You can run washes automatically based on a specific event, such as closing your browser, or based on a specific time interval. To use the automatic wash settings, Window Washer must be running. You know Window Washer is running if you see the icon [image] in the system tray in the lower-right corner of your screen.

If Window Washer is not running, you must start it for the wash to run automatically. For more information about starting Window Washer, see Starting Window Washer. For more information about exiting Window Washer but leaving it running, see Shutting Down Window Washer.

Step Introduction icon To run washes automatically:

  1. Start Window Washer, if it is not already running, and display the main window.
    • For more information, see Starting Window Washer.
  2. In the icon panel, click Options.
    • The Schedule tab displays.
  3. Select the schedule options you want.
    • You can set up as many different automatic washes as you need to meet your needs.

      • Click to see a description of each option.

      Setting
      Description
      Wash on Windows Shutdown (Turn Off)
      This runs a wash every time you shut down Windows. When you shut down Windows, Window Washer displays its progress to show that it is running a wash. Select the option you want to control exactly what Window Washer does.
        • Prompt for Windows Shutdown Options
      This runs a wash when you shut down (turn off) or restart Windows, but displays the Windows shut down (turn off) and restart options again after the wash is completed. This lets you change your mind about shutting down or restarting.
        • Run Wash before Restart
      This runs a wash when you restart Windows, then restarts Windows.
        • Run Wash before Shutdown (Turn Off)
      This runs a wash when you shut down (turn off) Windows, then shuts down (turns off) Windows.
      Wash on Browser Shutdown
      (Applies only to Internet Explorer and AOL.) This runs a wash every time you close your browser. When you close your browser, Window Washer displays its progress to show that it is running a wash.
      Wash on Windows Startup
      This runs a wash every time you start Windows. When you start Windows, Window Washer displays its progress to show that it is running a wash.
      Schedule an Autowash
      Select when you want to automatically run a wash from the drop-down list.


Changing Microsoft Windows and Office Wash Settings

You can change the wash settings for:

  • Microsoft Windows
  • Microsoft Office


Changing Microsoft Windows Wash Settings

You must have the Advanced User Interface turned on to access these options. For more information, see Changing between the Basic and Advanced User Interfaces.

You can change several Window Washer settings related to the Windows operating system. These settings work the same way on Windows 98, NT, ME, 2000, and XP, unless otherwise noted.

Step Introduction icon To change the Windows settings:

  1. Start Window Washer, if it is not already running, and display the main window.
    • For more information, see Starting Window Washer.
  2. In the icon panel, click Wash Items.
    • The Windows tab displays.
  3. Select or deselect the Windows options you want.

    4. Click to see a description of each option.

    Setting
    Description
    Document History
    This is a list of files that you recently opened. You see this list when you click Start and point to Documents. This option does not delete the files themselves. It only erases Windows' "memory" that you recently opened the files.
    Find/Search History
    This is a list of files or other information you have searched for on your computer. You see this list when you enter information into the search text boxes. Your computer stores recent searches and displays them when you start entering a new search that starts with the same characters. You access the search (also called find) from Windows Explorer or your Start button. This option does not delete any of the searched for files themselves. It only erases Windows' "memory" of what you recently searched for.
    Media Player
    If you use the Windows Media Player, this is the list of files you have recently opened using Media Player. You see this list on the File menu in Media Player. This option does not delete the files themselves. It only erases Windows' "memory" that you recently opened the files.
    Memory Dump Files (XP)
    (Applies only to Windows XP.) This option deletes the memory dump files (memory.dmp) that Windows creates when you receive certain Windows errors. The file contains information about what happened when the error occurred.
    MS Download Temp Folder
    This is the folder (msdownload.tmp) where Microsoft stores temporary files for Windows updates and service packs. Once you install the update or service pack, you no longer need these files. This option deletes that folder.
    Recycle Bin
    These are all of the files you have deleted using Windows Explorer. When you delete a file, it is stored in the Recycle Bin until you empty it. This option deletes all files from your Recycle Bin.
    Registry Streams
    This is information about recent changes you made to the Windows registry. This option does not delete the registry changes themselves. It only erases Windows' "memory" that you recently made the changes.
    Run History
    This is a list of commands that you recently entered into the Run window. You see the Run window when you click Start, then Run. This option does not delete the commands themselves. It only erases Windows' "memory" that you recently used the commands. You must restart your computer after running a wash to completely wash the Run text box.
    Disk Error Checking Temp Files
    These are files that Windows ScanDisk program (Windows 95 and 98) or the error-checking program (Windows 2000 and XP) creates. These files do not normally contain data you need, and their file names end in .chk. This option deletes all .chk files.
    Start Menu Click History
    (Applies only to Windows XP.) This is a list of shortcuts to programs that you recently opened using the Start menu. This option does not delete the programs themselves. It only erases Windows' "memory" that you recently opened the programs.
    Start Menu Order History
    (Applies only to Windows XP.) This is the order that programs and documents are listed on your Start menu. You sort the programs and document lists alphabetically by right-clicking the list of programs and documents and selecting Sort by Name. This option does not delete any of the programs or files themselves. It only erases Windows' "memory" of the sort order you changed.
    Paging (Swap) Files
    (Applies only to Windows XP.) This option clears the paging file (also called a swap file) that Windows uses to store parts of programs and files that do not fit into memory.
    Temp Folder
    These are files stored in your computer's default temporary folder. This folder is usually C:\Windows\Temp (Windows 95 and 98), C:\WINNT\Temp (Windows NT and 2000), or C:\Documents and Settings\[user name]\Temp (Windows XP). This option deletes all files and folders in the temporary folder, but it will not delete any files that are in use by an open program. You should not put any files here that you need to keep. The files in this folder can take up a lot of space on your hard drive.


Changing Microsoft Office Settings

You must have the Advanced User Interface turned on to access these options. For more information, see Changing between the Basic and Advanced User Interfaces.

You can select which Microsoft Office programs Window Washer cleans. The wash removes the list of files that you recently opened for each Office program you select. You see this list when you click the File menu in each program. This option does not delete the files themselves. It only erases Windows' "memory" that you recently opened the files.

Step Introduction icon To change the Microsoft Office settings:

  1. Start Window Washer, if it is not already running, and display the main window.
    • For more information, see Starting Window Washer.
  2. In the icon panel, click Wash Items.
    • The Windows tab displays.
  3. Select or deselect the Microsoft Office options you want.


Changing Internet Browser-related Wash Settings

You can control the wash settings for the following Internet browsers:

  • Internet Explorer
  • Netscape
  • America Online


Changing Internet Explorer Settings

You must have the Advanced User Interface turned on to access these options. For more information, see Changing between the Basic and Advanced User Interfaces.

You can change several Window Washer settings related to Internet Explorer. Internet Explorer is a browser program that comes with Windows. Browsers let you visit Web sites on the World Wide Web.

Step Introduction icon To change Internet Explorer settings:

  1. Start Window Washer, if it is not already running, and display the main window.
    • For more information, see Starting Window Washer.
  2. In the icon panel, click Wash Items.
    • The Windows tab displays.
  3. Click the Browsers tab.
  4. Select or deselect the Internet Explorer options you want.

    5. Click to see a description of each option.

    Setting
    Description
    Address Bar History
    This is a list of Web sites that you visited recently that is stored as part of Internet Explorer's AutoComplete feature. You see this list when you click the arrow on the right side of the Address drop-down list at the top of the Internet Explorer window. This option deletes the list of recently visited Web sites from your computer.
    AutoComplete Form Data
    This is a list of information that you entered into forms on any Web sites recently. This information is stored as part of Internet Explorer's AutoComplete feature. You see this only when you visit a Web site and start entering the same information, for example your e-mail address or password, and the information automatically displays as you start to type. This option deletes the list of recently entered form data from your computer.
    Bleach Index.dat on Startup
    These are files where Windows stores information about recently used files and visited Web sites. Window Washer washes the index.dat files during a wash, but can only bleach them when you restart your computer. Bleaching the files makes sure that the data cannot be recovered using an undelete or unerase utility. It does this by overwriting the file one or more times with random characters. You control how many times it overwrites the file by setting the Add Bleach to Wash option. For more information, see Adding Bleach.
    Cookies
    These are small files that store information about your interaction with a Web site. Some cookies may just track which ads the site displayed while you were there to make sure the site does not display the same ads. Other cookies may store preferences that you set, passwords you create for the site, information about the pages you visited, and more. This option deletes all cookies from your computer. You can tell Window Washer to keep some cookies by using the Cookie Wizard. For more information, see Customizing Cookie Washing.
    Media Bar (Player) History
    This is a list of files that you recently opened using the media player that is part of Internet Explorer. The media player plays audio and video files that you access on Web sites. This option deletes the list of recently opened audio and video files from your computer.
    Temporary Internet Files Folder
    This is a folder where Internet Explorer stores copies of Web pages that you have visited to make them open faster the next time you visit them. This option deletes the copies of the Web pages from your computer.
    History (Visited Sites)
    This is a list of Web sites that you visited recently. You see this list when you click History on the Internet Explorer toolbar. This option deletes the list of recently visited Web sites from your computer.

  5. If you want Window Washer to let you know that Internet Explorer is open when you run a wash, select the Detect Running Browser option under Additional Options.
    • Window Washer cannot wash browser-related files if the browser is open when you run a wash. This option lets you know that the browser is open and reminds you to close it, so the wash can run.


Changing Netscape Settings

You must have the Advanced User Interface turned on to access these options. For more information, see Changing between the Basic and Advanced User Interfaces.

You can change several Window Washer settings related to Netscape. Netscape is a browser program that you can download and install. Browsers let you visit Web sites on the World Wide Web.

If you are using Netscape 6.x or higher, you have to perform two tasks to set up the wash options for Netscape:

  1. Select the profiles you want washed.
  2. Select the wash options.

If you are using an earlier version of Netscape, you only have to select the wash options.


Selecting Netscape Profiles to Wash

You must have the Advanced User Interface turned on to access these options. For more information, see Changing between the Basic and Advanced User Interfaces.

If you are using Netscape 6.x or higher, you must select which profiles you want to wash here. Window Washer only washes selected profiles. Netscape profiles let you set up different settings such as bookmarks, preferences, e-mail, and more under separately named profiles.

When you installed Window Washer, you had the option to select Netscape profiles. If you selected the profiles you want to wash during installation, you do not need to do it again.

If you are using an earlier version of Netscape, you only have to select the wash options. For more information, see Selecting Netscape Wash Options.

Step Introduction icon To select Netscape profiles to wash:

  1. Click Start, point to Programs, point to Window Washer 5, point to Utilities, and click Washer Netscape Wizard.
    • The Netscape Profile Scanner window displays.
  2. Click Next.
    • The Netscape Profile Scanner scans your computer for profiles you have set up for Netscape. The scan may take a few minutes.
  3. When the scan is complete, click Next.
    • The Netscape Profile Scanner lists the profiles it found. If you have not set up any profiles, only the default profile will be on the list.
  4. Select each profile you want Window Washer to wash.
    • A selected profile has a check mark in front of it. The Netscape wash options you select will wash each profile selected here.
    • To remove a profile from the list, select it and click Remove. This does not delete the profile from your computer. It just removes it from the list of profiles for Window Washer to wash. If you scan your computer again, the profile will be added back to the list.
  5. Click OK.
    • To display the list of profiles again without scanning for profiles, click Start, point to Programs, point to Window Washer 5, point to Utilities, and click Washer Netscape Profiles.


Selecting Netscape Wash Options

You must have the Advanced User Interface turned on to access these options. For more information, see Changing between the Basic and Advanced User Interfaces.

If you are using Netscape 6.x or higher, you must select which profiles you want to wash. The wash options described here only work on the selected profiles. For more information, see Selecting Netscape Profiles to Wash.

If you are using an earlier version of Netscape, you only have to select the wash options here.

Step Introduction icon To change Netscape settings:

  1. Start Window Washer, if it is not already running, and display the main window.
    • For more information, see Starting Window Washer.
  2. In the icon panel, click Wash Items.
    • The Windows tab displays.
  3. Click the Browsers tab.
  4. Select or deselect the Netscape options you want.

    5. Click to see a description of each option.

    Setting
    Description
    Location Bar History
    This is a list of Web sites that you visited recently that is stored as part of Netscape's Location Bar history. You see this list when you click the arrow on the right side of the Location Bar drop-down list at the top of the Netscape window. This option deletes the list of recently visited Web sites from your computer.
    Form Manager Data
    This is a list of information that you entered into forms on any Web sites recently. This information is stored as part of Netscape's Form Manager feature. You see this when you visit a Web site and start entering the same information, for example your e-mail address or password, and the information automatically displays as you start to type. This option deletes the list of recently entered form data from your computer.
    Cookies
    These are small files that store information about your interaction with a Web site. That information may just track which ads the site displayed while you were there to make sure the site does not display the same ads. Other cookies may store preferences that you set, passwords you create for the site, information about the pages you visited, and more. This option deletes all cookies from your computer. You can tell Window Washer to keep some cookies by using the Cookie Wizard. For more information, see Customizing Cookie Washing.
    Mail Trash
    This is a folder where Netscape stores e-mail messages that you view and delete using Netscape. In most cases, when you delete an e-mail message using Netscape, the message is moved to your Trash folder. This option deletes the messages that are in the Trash folder.
    Disk Cache
    This is a folder where Netscape stores copies of Web pages that you have visited to make them open faster the next time you visit them. This option deletes the copies of the Web pages from your computer.
    Preferences
    These are the preferences you set in Netscape from the Edit menu. This option deletes any changes you made to the preferences and sets them back to the default settings.
    History (Visited Sites)
    This is a list of Web sites that you visited recently. You see this list when you select History from the Go menu or select Tools from the Communicator menu. This option deletes the list of recently visited Web sites from your computer.

    • Window Washer cannot wash browser-related files if the browser is open when you run a wash. You need to close Netscape for Window Washer to wash the Netscape files.


Changing America Online Settings

You must have the Advanced User Interface turned on to access these options. For more information, see Changing between the Basic and Advanced User Interfaces.

You can change several Window Washer settings related to America Online (AOL). These settings are only applicable if you use AOL to access the Internet.

The settings for Internet Explorer also apply to AOL users. For more information about the Internet Explorer settings, see Changing Internet Explorer Settings.

Step Introduction icon To change America Online settings:

  1. Start Window Washer, if it is not already running, and display the main window.
    • For more information, see Starting Window Washer.
  2. In the icon panel, click Wash Items.
    • The Windows tab displays.
  3. Click the Browsers tab.
  4. Select or deselect the AOL options you want.

    5. Click to see a description of each option.

    Setting
    Description
    Address Bar History
    This is a list of Web sites that you visited recently that is stored as part of AOL's history. You see this list when you click the arrow on the right side of the drop-down list at the top of the AOL window. This option deletes the list of recently visited Web sites from your computer.
    AOL Internet Cache Folder
    This is a folder where AOL stores copies of Web pages that you have visited to make them open faster the next time you visit them. This option deletes the copies of the Web pages from your computer.

  5. If you want Window Washer to let you know that a browser is open when you run a wash, select the Detect Running Browser option under Additional Options.
    • Window Washer cannot wash browser-related files if the browser is open when you run a wash. This option lets you know that the browser is open and reminds you to close it, so the wash can run.


Changing E-mail and Instant Messaging Wash Settings

You can control the wash settings for the following e-mail and instant messaging (IM) programs:

  • Outlook Express
  • ICQ
  • AOL Instant Messenger
  • MSN Messenger
  • Yahoo Messenger


Changing Outlook Express Settings

You must have the Advanced User Interface turned on to access these options. For more information, see Changing between the Basic and Advanced User Interfaces.

You can change several Window Washer settings related to Outlook Express, which is an e-mail program that comes with Windows. These settings are only applicable if you use Outlook Express to send or receive e-mail.

Note icon Note: These options only affect Outlook Express. If you use any version of Outlook that came with Microsoft Office, these options do not apply.

Step Introduction icon To change Outlook Express settings:

  1. Start Window Washer, if it is not already running, and display the main window.
    • For more information, see Starting Window Washer.
  2. In the icon panel, click Wash Items.
    • The Windows tab displays.
  3. Click the Messaging tab.
  4. Select or deselect the Outlook Express options you want.

    5. Click to see a description of each option.

    Setting
    Description
    Deleted Items Folder
    This is the folder in Outlook Express where deleted e-mail messages are stored. When you delete an e-mail message, Outlook Express does not actually remove it from your computer. Outlook Express moves it to the Deleted Items folder. This option permanently deletes the e-mail messages in this folder from your computer.
    Inbox Folder
    This is the folder in Outlook Express where e-mail messages you receive are stored until you delete them or move them to another folder. This option permanently deletes the e-mail messages in this folder from your computer.
    Outbox Folder
    This is the folder in Outlook Express where e-mail messages you want to send are stored until you send them. This option permanently deletes the e-mail messages in this folder from your computer.
    Outlook Express Log File
    This is a file you can create that stores commands, errors, and other information that have been sent to and from your mail servers. This can be useful for troubleshooting. This option deletes the log file from your computer.
    Sent Items Folder
    This is the folder in Outlook Express where e-mail messages you send are stored. This option permanently deletes the e-mail messages in this folder from your computer.


Changing ICQ Settings

You must have the Advanced User Interface turned on to access these options. For more information, see Changing between the Basic and Advanced User Interfaces.

You can change several Window Washer settings related to ICQ, which is an instant messaging program that you can download and install.

Step Introduction icon To change ICQ settings:

  1. Start Window Washer, if it is not already running, and display the main window.
    • For more information, see Starting Window Washer.
  2. In the icon panel, click Wash Items.
    • The Windows tab displays.
  3. Click the Messaging tab.
  4. Select or deselect the ICQ options you want.

    5. Click to see a description of each option.

    Setting
    Description
    Bookmarks
    This is the folder where ICQ stores bookmarks you save for your default browser. This option deletes the folder and all bookmarks in it saved from ICQ.
    Browser Cache
    This is the folder where ICQ stores programs you download using ICQ. This option deletes the folder and all downloaded files.
    Contact Lists
    This is the folder where ICQ stores your contact list, which is the list of people you communicate with using ICQ. This option deletes the folder and all contact list information.
    Log Files
    This is where ICQ stores your message history (messages, Web site addresses, and files) if you turn on that option in ICQ. This option deletes all files in the message history.
    Received Files
    This is the folder where ICQ stores files that you receive through ICQ. This option deletes the folder and all received files in it.
    Recent Chat History
    This is where ICQ stores your recent message history (messages, URLs, and files) if you turn on that option in ICQ. This option deletes all files in the message history.


Changing AOL Instant Messenger Settings

You must have the Advanced User Interface turned on to access these options. For more information, see Changing between the Basic and Advanced User Interfaces.

You can change several Window Washer settings related to AOL Instant Messenger, which is an instant messaging program that you can download and install.

Step Introduction icon To change AOL Instant Messenger settings:

  1. Start Window Washer, if it is not already running, and display the main window.
    • For more information, see Starting Window Washer.
  2. In the icon panel, click Wash Items.
    • The Windows tab displays.
  3. Click the Messaging tab.
  4. Select or deselect the AOL Instant Messenger options you want.

    5. Click to see a description of each option.

    Setting
    Description
    Downloaded Files Folder
    This is the folder where AOL Instant Messenger stores files that you download through AOL Instant Messenger. This option deletes the folder and all downloaded files in it.
    Recent Screen Names
    This is where AOL Instant Messenger stores the screen names of people you recently communicated with. This option deletes these screen names.


Changing MSN Messenger Settings

You must have the Advanced User Interface turned on to access these options. For more information, see Changing between the Basic and Advanced User Interfaces.

You can change several Window Washer settings related to MSN Messenger, which is an instant messaging program that you can download and install.

Step Introduction icon To change MSN Messenger settings:

  1. Start Window Washer, if it is not already running, and display the main window.
    • For more information, see Starting Window Washer.
  2. In the icon panel, click Wash Items.
    • The Windows tab displays.
  3. Click the Messaging tab.
  4. Select or deselect the MSN Messenger options you want.

    5. Click to see a description of each option.

    Setting
    Description
    My Chat Log Folder
    This is the folder where MSN Messenger stores your chat log if you turn on that option in MSN Messenger. This option deletes all files in the chat log.
    My Received Files Folder
    This is the folder where MSN Messenger stores files that you receive through MSN Messenger. This option deletes the folder and all received files in it.


Changing Yahoo Messenger Settings

You must have the Advanced User Interface turned on to access these options. For more information, see Changing between the Basic and Advanced User Interfaces.

You can change several Window Washer settings related to Yahoo Messenger, which is an instant messaging program that you can download and install.

Step Introduction icon To change Yahoo Messenger settings:

  1. Start Window Washer, if it is not already running, and display the main window.
    • For more information, see Starting Window Washer.
  2. In the icon panel, click Wash Items.
    • The Windows tab displays.
  3. Click the Messaging tab.
  4. Select or deselect the Yahoo Messenger options you want.

    5. Click to see a description of each option.

    Setting
    Description
    Clear Pager Settings
    This is the folder where Yahoo Messenger stores your notification information. This option deletes the notification information, so other users will not know you are online.
    Reset Yahoo Profiles
    Note: This option deletes all information about all Yahoo! profiles you have set up. If you select this option and want to use any of your Yahoo! profiles, be sure to write down the user ID information before running a wash.
    Temporary Internet Files
    This is the folder where Yahoo Messenger stores temporary Internet files. This option deletes the folder and all files in it.


Running Washes

You can run a wash manually whenever you want to wash your computer. You can also set Window Washer to run a wash automatically based on a day and time or based on another event, such as closing your browser.

When you run a wash, Window Washer deletes files, cookies, and lists of recently used files based on your settings. Be sure that your settings are the way you want them before you run a wash. For more information about the settings, see the following:

  • Changing Microsoft Windows and Office Wash Settings
  • Changing Internet Browser-related Wash Settings
  • Changing E-mail and Instant Messaging Wash Settings
  • Customizing Cookie Washing
  • Working with Plug-ins

You can have Window Washer run a wash several ways:

  • Run a wash right now
  • Run a wash whenever you close your Internet browser
  • Run a wash every time you start or shut down Windows
  • Schedule washes at specific time intervals

You can also change the security settings and folders for Window Washer by:

  • Adding bleach (overwriting files multiple times)
  • Cleaning file slack space
  • Protecting your settings with a password
  • Changing wash folders


Running a Wash Manually

You can run a wash manually anytime by starting Window Washer and running a wash.

Step Introduction icon To run a wash:

  1. Start Window Washer, if it is not already running, and display the main window.
    • For more information, see Starting Window Washer.
  2. If you want to close Window Washer when it finishes washing, select the Close Washer after a Wash option by clicking Options in the icon panel, then the Program tab.
  3. If you want skip all plug-ins during a wash, select the Skip all Plug-ins during a Wash option by clicking Options in the icon panel, then the Program tab.
    • Skipping plug-ins makes the wash run faster, but Window Washer will not use any of your plug-ins during the wash. For more information about plug-ins, see Working with Plug-ins.
  4. If you want to skip all messages during a wash, select the Skip all Messages during a Wash option by clicking Options in the icon panel, then the Program tab.
    • Skipping messages makes the wash run faster, but Window Washer will not delete certain files or folders during the wash. Messages let you know that a file or folder you have set up to delete during a wash is a system file or folder. Messages also let you know that a file or folder is in use and give you the option of deleting or not deleting the file or folder.
    • If you skip all messages, Window Washer will not delete these types of files and folders during a wash, and you will not see the messages that let you select what to do.
  5. In the icon panel, click Wash Now.
  6. In the main panel, click Start.
    • If any plug-ins you created are set up to delete a system file or folder, Window Washer displays a message for each file or folder asking you to confirm that you want to delete the file or folder. Click No to keep the file or folder. Click Yes to delete it.

      • Note icon Note: Typically, you do not want to delete system files or folders unless you are an advanced computer user and are sure that you do not need the file or folder.

  7. To view the wash results, click Finished at the bottom of the main panel.
    • You can also view the results by clicking Results in the icon panel.
    • For more information, see Viewing Wash Results.


Increasing Wash Security

You must have the Advanced User Interface turned on to access these options. For more information, see Changing between the Basic and Advanced User Interfaces.

You can increase your wash security in three ways:

  • Adding bleach (overwriting files multiple times)
  • Cleaning file slack space


Adding Bleach

You must have the Advanced User Interface turned on to access these options. For more information, see Changing between the Basic and Advanced User Interfaces.

You can make your wash more secure by adding "bleach." The bleach overwrites each file that Window Washer deletes with random characters. You cannot recover bleached files using an undelete or unerase program.

You can select the number of times that bleach overwrites the files. The more times that you overwrite the files, the longer it will take for the wash to run.

Note icon Note: Using the bleach settings may slow down the wash process significantly, depending on how many files you are washing and the speed of your computer.

Step Introduction icon To add bleach:

  1. Start Window Washer, if it is not already running, and display the main window.
    • For more information, see Starting Window Washer.
  2. In the icon panel, click Options.
    • The Schedule tab displays.
  3. Click the Security tab.
  4. Select the Add Bleach to Wash option.
  5. Select the bleaching option you want.

    6. Click to see a description of each option.

    Setting
    Description
    Random (1 Pass)
    Overwrites each deleted file once with random characters.
    NSA (7 Passes)
    Overwrites each deleted file 7 times with random characters based on the US National Security Agency (NSA) guidelines.
    Gutmann (35 Passes)
    Overwrites each deleted file 35 times using different patterns each time. This overwrite process is based on a 1996 paper by Peter Gutmann, Department of Computer Science, University of Auckland.
    DOD 5220.22-M (3 Passes)
    Overwrites each deleted file 3 times with random characters in accordance with the US Department of Defense (DOD) 5220.22-M directive.
    User Defined
    Overwrites each deleted file the number of times you select from the drop-down list up to a maximum of 100 times.


Cleaning File Slack Space

You must have the Advanced User Interface turned on to access these options. For more information, see Changing between the Basic and Advanced User Interfaces.

You can set up Window Washer to clean the slack space in files. Slack space relates to unused hard drive space that is allocated to a file. Two key issues cause slack space to pose a potential security risk:

  • How Windows deletes files—When you delete a file, Windows does not actually remove the contents of the file from your hard drive. Windows only deletes a reference to the file from a table that lists all files on your computer. The table is like a table of contents that tells Windows where files are. Windows says that the file is deleted, but the content of the file still exists until Windows overwrites the same area on the hard drive with new information.
  • How Windows allocates hard drive space to files—Windows allocates space for files on a hard drive in blocks of bytes (also called clusters). When you save a file, Windows allocates space to the file in the form of these blocks. The size of the file determines how many blocks get assigned. If the file does not completely fill the last block allocated to it, the remainder is considered slack space, as shown in Figure 3 .

    • Figure 3: File slack space example

In Figure 3 , the file takes up all of blocks 1 through 4 and part of 5. The remainder of block 5 is slack space. Data from a previously deleted file may still be in the slack space.

This shows how a block allocated to a file may contain the content from a file that was previously saved to that block, then deleted. If that previous file had sensitive information in it and was deleted using a standard method, some of the file content still exists.

Window Washer finds out how much slack space remains at the end of a file it is washing (deleting) and overwrites that content.

Note icon Note: Using the slack space setting may slow down the wash process significantly, depending on how many files you are washing and the speed of your computer.

Step Introduction icon To clean file slack space:

  1. Start Window Washer, if it is not already running, and display the main window.
    • For more information, see Starting Window Washer.
  2. In the icon panel, click Options.
    • The Schedule tab displays.
  3. Click the Security tab.
  4. Select the Wash File Slack Space option.


Protecting Settings with a Password

You must have the Advanced User Interface turned on to access these options. For more information, see Changing between the Basic and Advanced User Interfaces.

You can protect your Window Washer settings with a password. After you enable password protection, Window Washer will require the password to access the following settings: Options, Wash Items, Cookie Wizard, and Plug-in Wizard.

Be sure you remember or write down your password.

Step Introduction icon To protect settings with a password

  1. Start Window Washer, if it is not already running, and display the main window.
    • For more information, see Starting Window Washer.
  2. In the icon panel, click Options.
    • The Schedule tab displays.
  3. Click the Security tab.
  4. Select the Enable Settings Password option.
  5. Enter the password you want to use in both text boxes.
    • Consider making the password difficult to guess by combining letters and numbers.
  6. Click Save.


Changing the Wash Folders

You must have the Advanced User Interface turned on to access these options. For more information, see Changing between the Basic and Advanced User Interfaces.

Window Washer automatically detects where Windows, your browsers, and other programs store the files that Window Washer washes. Most of the time, you do not need to change these folder locations in Window Washer.

If you change the default folder for temporary files in Windows or the default folder for cache or cookie files in your browser, you can tell Window Washer where to find those folders.

Step Introduction icon To change wash folders:

  1. Start Window Washer, if it is not already running, and display the main window.
    • For more information, see Starting Window Washer.
  2. In the icon panel, click Options.
    • The Schedule tab displays.
  3. Click the Program tab.
  4. From the Auto-detected Folders for Washing drop-down list, select the folder location you want to change.
    • The current location displays below the drop-down list.
  5. Select Enable Override on the Auto-detected Folders.
  6. Click Browse and navigate to the folder you want.
  7. Click OK.
  8. Click Save.
    • If you want Window Washer to automatically detect all default folder locations, click Redetect All.


Customizing Cookie Washing

You can control which cookies Window Washer washes using the Cookie Wizard. By default, selecting the cookie option for a browser in Window Washer deletes all cookies copied to your computer when you use that browser.

If you are not familiar with cookies, you should read Understanding Cookies.

Using the Cookie Wizard, you can:

  • Select and view cookies to keep


Understanding Cookies

Some Web sites place small files, called cookies, on your computer. Cookies store information about your interaction with a Web site. Some cookies may just track which ads the site displayed while you were there to make sure the site does not display the same ads. Other cookies may store preferences that you set, passwords you create for the site, information about the pages you visited, and more.

Some vendors buy information from companies that gather data from cookies. These types of cookies typically track the Web sites you visit and selections you make on Web sites. Companies who buy this information can create a profile on you based on information in the cookies.

You can set up Window Washer to wash away (delete) some or all cookies. At home, you may want to be sure that Internet companies cannot track your Web browsing patterns based on the cookies they place on your computer. At work, you may want to keep information private for a number of reasons, including protecting your methods (sources you use and Web sites you visit). They may be part of your intellectual property that you want to protect.

If you decide to delete cookies, be sure that you keep a record of your user names and passwords you set up for Web sites. After you delete cookies and form data, you will not be able to automatically log in to the Web site.


When You May Want To Keep Cookies

You may want to keep some cookies because they store your user name, password, and other information that is convenient for you, especially for sites that you visit often. You can configure Window Washer to keep selected cookies. Before you decide to keep a cookie, be sure to read the company's privacy policy to see how it can use your information. You may want to check the policy periodically, because policies change.

Unfortunately, you cannot easily know exactly what information a cookie stores in it. You can open a cookie file in a text editor, such as Notepad, but most cookie files contain codes that are not easy to understand.


Selecting and Viewing Cookies to Keep

You must have the Advanced User Interface turned on to access these options. For more information, see Changing between the Basic and Advanced User Interfaces.

You can set up Window Washer to keep individual cookies or all cookies from a specific domain name. This function is for advanced users who are familiar with how cookies work.

A domain name is the home address for a Web site. For example, the domain name for makers of Window Washer is webroot.com.

You may want to keep a cookie from one part of the domain name, but not another. You can tell Window Washer to keep an individual cookie.

If you want to keep all cookies from a specific domain name because you log in there often or you trust the security policy, you can tell Window Washer to keep all of those cookies.

You can also view the list of the cookies you are keeping and change the list as needed.

Step Introduction icon To select and view cookies to keep:

  1. Start Window Washer, if it is not already running, and display the main window.
    • For more information, see Starting Window Washer.
  2. In the icon panel, click Cookie Wizard.
    • The first panel of the Cookie Wizard displays.
  3. Select the browser whose cookies you want to set up.
    • If you select Netscape, you should also select the profile whose cookies you want to set up from the drop-down list.
  4. Click Next.
    • The Cookie Management panel of the Cookie Wizard displays.
  5. Click Next.
    • A list of all domains that have put cookies onto your computer displays. To see a list of the individual cookies, click the plus sign next to the domain name.
    • By default, all cookies will be deleted when you run a wash. The Cookies option for each browser must also be selected for the cookies to be deleted. For more information, see Changing Internet Browser-related Wash Settings.
  6. Select each cookie you want to keep.
    • If you want to keep all cookies for the domain names, select the domain name and select the Keep All Cookies from Domain option at the top of the window.
    • After you select a cookie and click Next, that cookie is no longer listed on this window of the Cookie Wizard. After you run a wash, you may not have any cookies listed, because you kept some cookies and the wash deleted the rest. To view the cookies you have selected to keep, click Next.
  7. Click Next.
    • Two lists display of the cookies you have selected to keep: one list by domain and one list of individual cookies.
    • To remove a domain from the Domains to Keep list, select it and click the Remove Domain. To remove a cookie from the Cookies to Keep list, select it and click the Remove Cookie. Cookies you remove from the keeper lists will be deleted the next time you run a wash.
  8. Click Next.
  9. Click Finished.


Working with Plug-ins

A Window Washer plug-in is a set of wash settings that either come with Window Washer (Webroot plug-ins) or that you can create yourself (custom plug-ins).

Plug-ins let you set up Window Washer to wash more than just the files used by Windows, Microsoft Office, and your browsers. Many other programs such as Windows RealPlayer, Adobe Photoshop, and Paint Shop Pro store recent user activity, too. Evidence of the pictures you view, Web sites you visit, and media you play is all left on your computer. Plug-ins remove these unnecessary files.

Webroot plug-ins wash files related to many commonly used programs. You can also create your own custom plug-ins to wash files, folders, or registry entries you want.

You can do the following with plug-ins:

  • Select which plug-ins to use in a wash
  • Install Webroot plug-ins
  • Create and edit your own custom plug-ins


Selecting Plug-ins to Use in a Wash

You must have the Advanced User Interface turned on to access these options. For more information, see Changing between the Basic and Advanced User Interfaces.

You can select or deselect which Webroot or custom plug-ins to use in a wash at any time. The selections you make work for all washes (manual and automatic) until you change the selections.

Step Introduction icon To select plug-ins to use in a wash:

  1. Start Window Washer, if it is not already running, and display the main window.
    • For more information, see Starting Window Washer.
  2. In the icon panel, click Wash Items.
    • The Windows tab displays.
  3. Click the Plug-ins tab.
    • The tab displays a list of all plug-ins and their type. A plug-in can be one of three types:
      • Webroot—A plug-in that comes with Window Washer 5.0 that you can automatically update. To see what the plug-in will wash, hold your mouse pointer over the plug-in name. Information about the files, folders, or registry entries that it washes pops up. For more information, see Updating Webroot Plug-ins and Activating Webroot Plug-ins.
      • Custom—A plug-in that you created using Window Washer 5.0 or an earlier version of Window Washer. For more information, see Creating and Editing Your Own Custom Plug-ins. To edit a custom plug-in, right-click the plug-in name.
  4. Use the Plug-in View buttons to display the type of plug-ins you want to see.
  5. Select the plug-ins you want to use in a wash.
    • Window Washer only uses the selected plug-ins (ones with a check mark next to them) in a wash.
    • To delete a custom plug-in, select the plug-in and click Delete Plug-in.
    • For information about plug-in detection, see Activating Webroot Plug-ins.


Activating Webroot Plug-ins

You must have the Advanced User Interface turned on to access these options. For more information, see Changing between the Basic and Advanced User Interfaces.

Webroot plug-ins come with Window Washer and wash files related to specific commonly used programs. When you installed Window Washer, you had the option to activate (detect) Webroot plug-ins. This process checks to see if you have specific programs on your computer for which Webroot plug-ins exist.

If you install new programs or want Window Washer to detect the programs you have installed for which a Webroot plug-in exists, you can activate (redetect) the Webroot plug-ins.

Step Introduction icon To activate Webroot plug-ins:

  1. Start Window Washer, if it is not already running, and display the main window.
    • For more information, see Starting Window Washer.
  2. In the icon panel, click Wash Items.
    • The Windows tab displays.
  3. Click the Plug-ins tab.
    • The tab displays a list of all plug-ins and their type.
  4. Click Plug-in Detection.
    • Window Washer looks in specific locations for the programs you have installed on your computer. If a Webroot plug-in exists for that program, it activates the plug-in, which means Window Washer will use it when you run a wash.
    • If you do not want to use a plug-in, deselect it.


Creating and Editing Your Own Custom Plug-ins

You must have the Advanced User Interface turned on to access these options. For more information, see Changing between the Basic and Advanced User Interfaces.

Window Washer lets you create your own custom plug-ins to delete unneeded files, folders, and registry entries from your computer when you run a wash.

Caution icon Caution: Creating plug-ins is for advanced users. Plug-ins delete the files, folders, or registry entries you select. Use care when selecting or entering items to delete, or you may affect your ability to use some programs on your computer.

Step Introduction icon To create or edit a custom plug-in:

  1. Start Window Washer, if it is not already running, and display the main window.
    • For more information, see Starting Window Washer.
  2. In the icon panel, click Plug-in Wizard.
    • The Plug-in Wizard displays.
  3. Do one of the following:
    • To create a new plug-in, enter a description for the new plug-in.
    • To edit an existing plug-in, select the Edit Existing Plug-in option and select a plug-in from the drop-down list.
  4. Click Next.
    • The Custom Plug-in Editor window displays.
  5. Click one or more options for the type of actions you want the plug-in to take:
    • Add Individual Files for Washing—Lets you select specific files to delete. For more information, see Adding Files to a Custom Plug-in.
    • Add Folders Containing Multiple Files to Wash—Lets you select entire folders to delete. Also lets you delete files that end with a specific file extension, for example *.log. For more information, see Adding Folders to a Custom Plug-in.
    • Add Registry Keys or Values for Washing—Lets you select specific registry entries to delete. For more information, see Adding Registry Entries to a Custom Plug-in.

      • Caution icon Caution: Use extreme care when creating registry plug-ins. You may be unable to use one or more programs on your computer if you delete a registry entry.

  6. Click Next.
    • Set up the items you want to wash and click Next until the Plug-in Wizard Completion window displays.
  7. Click Finished to save your plug-in.
    • Click Back to make changes to the plug-in.


Adding Files to a Custom Plug-in

You must have the Advanced User Interface turned on to access these options. For more information, see Changing between the Basic and Advanced User Interfaces.

Adding a file to a custom plug-in deletes the file you select each time you run a wash. You may want to use this when a program you use creates a log file that gets very large over time. Be sure that the program will re-create the log file and that deleting it is not a problem.

Step Introduction icon To add a file to a custom plug-in:

  1. Follow steps 1 through 4 in Creating and Editing Your Own Custom Plug-ins.
  2. Select the Add Individual Files for Washing option.
  3. Click Next.
  4. In the Step 1 panel, navigate to the folder where the file you want is.
  5. In the Step 2 panel, select the file you want to wash (delete).
    • You can select more than one file by holding down the Ctrl key as you click.
  6. Click Add.
    • The file names display in the Step 3 panel.
    • To remove a file from the list of files to wash, select the file and click Remove.
    • To remove all files from the list of files to wash, click Remove All.
  7. Repeat steps 4 through 6 until you have added all of the files you want to wash using this plug-in.
  8. Click Next to continue.
  9. When the Plug-in Wizard Completion window displays, click Finished.


Adding Folders to a Custom Plug-in

You must have the Advanced User Interface turned on to access these options. For more information, see Changing between the Basic and Advanced User Interfaces.

Adding a folder to a custom plug-in deletes the folder or just specific files in the folder each time you run a wash. You may want to use this when a program you use creates a folder that gets very large over time or that contains files you do not want to keep. Be sure that the program will re-create any deleted files or folders and that deleting them is not a problem.

Step Introduction icon To add a folder to a custom plug-in:

  1. Follow steps 1 through 4 in Creating and Editing Your Own Custom Plug-ins.
  2. Select the Add Folders Containing Multiple Files to Wash option.
  3. Click Next.
  4. In the Step 1 panel, navigate to the folder you want.
  5. In the Step 2 panel, select the options you want to use:
    • If root folder is empty, then remove the folder—Select this if you want Window Washer to delete the top-level folder you selected.
    • Include subfolders—Select this if you want Window Washer to wash the same files from each subfolder under the selected folder.
    • If subfolder is empty, then delete the folder—Select this if you want Window Washer to delete empty subfolders under the selected folder.
    • Change default mask wildcard—By default, Window Washer deletes all files in the selected folder. If you want to delete only files with a specific file extension, for example .log, change the mask to *.log.
  6. Click Add.
    • The folder name displays in the Step 3 panel.
    • If you select a system folder, Window Washer will warn you about deleting files from system folders. Be sure that you want to delete the file or folder before saying Yes to this message.
    • To remove a folder from the list of folders to wash, select the folder and click Remove.
    • To remove all folders from the list of folders to wash, click Remove All.
  7. Repeat steps 4 through 6 until you have added all of the folders you want to wash using this plug-in.
  8. Click Next to continue.
  9. When the Plug-in Wizard Completion window displays, click Finished.


Adding Registry Entries to a Custom Plug-in

You must have the Advanced User Interface turned on to access these options. For more information, see Changing between the Basic and Advanced User Interfaces.

Caution icon Caution: This function is for advanced users only. If you do not have a good understanding of the Windows registry, you should not add registry entries to a custom plug-in.

Adding registry entries to a custom plug-in deletes the registry entry you select. Deleting a registry entry may cause a program on your computer to not work properly.

Step Introduction icon To add a registry entry to a custom plug-in:

  1. Follow steps 1 through 4 in Creating and Editing Your Own Custom Plug-ins.
  2. Select the Add Registry Keys or Values for Washing option.
  3. Click Next.
  4. In the Step 1 panel, select the Root Key.
  5. In the Step 1 panel, select the option you want:
    • Delete entire subkey—Select this to delete the entire subkey that you select in the Step 2 panel.
    • Delete a subkey value—Select this and enter a specific subkey value to have Window Washer only delete that value from the subkey that you select in the Step 2 panel.
  6. In the Step 2 panel, select the registry key or value you want to wash.
  7. Click Add.
    • The key name displays in the Step 3 panel.
    • To remove a key from the list of keys to wash, select the key and click Remove.
    • To remove all keys from the list of keys to wash, click Remove All.
  8. Repeat steps 4 through 7 until you have added all of the keys you want to wash using this plug-in.
  9. Click Next to continue.
  10. When the Plug-in Wizard Completion window displays, click Finished.


End User License Agreement

PLEASE READ THIS AGREEMENT CAREFULLY

Webroot Software, Inc.

Software License Agreement

WEBROOT SOFTWARE, INC. ("WEBROOT") IS WILLING TO LICENSE THE ENCLOSED SOFTWARE (AS WELL AS UPDATES WEBROOT MAY FURNISH YOU FROM TIME TO TIME) AND DOCUMENTATION (THE "SOFTWARE") TO YOU ("YOU") ONLY ON THE CONDITION THAT YOU ACCEPT ALL OF THE TERMS IN THIS SOFTWARE LICENSE AGREEMENT (THE "AGREEMENT"). IF YOU ARE AN EMPLOYEE OR AGENT OF A COMPANY (THE "COMPANY") AND ARE ENTERING INTO THIS AGREEMENT TO OBTAIN THE SOFTWARE FOR USE BY THE COMPANY FOR ITS OWN BUSINESS PURPOSES, YOU HEREBY AGREE THAT YOU ENTER INTO THIS AGREEMENT ON BEHALF OF THE COMPANY AND THAT YOU HAVE THE AUTHORITY TO BIND THE COMPANY TO THE TERMS AND CONDITIONS OF THIS AGREEMENT.

BY CLICKING ON THE "ACCEPT" BUTTON BELOW, YOU ACKNOWLEDGE THAT YOU HAVE READ THIS AGREEMENT, UNDERSTAND IT, AND AGREE TO BE BOUND BY IT. IF YOU DO NOT AGREE TO ANY OF THE TERMS BELOW, WEBROOT IS UNWILLING TO LICENSE THE SOFTWARE TO YOU, AND YOU SHOULD CLICK ON THE "DO NOT ACCEPT" BUTTON BELOW TO DISCONTINUE THE INSTALLATION PROCESS. IN SUCH CASE, UPON REMOVAL, DESTRUCTION AND/OR RETURN OF THE SOFTWARE, ANY AMOUNTS ALREADY PAID BY YOU SHALL BE REFUNDED BY WEBROOT OR THE RETAILER FROM WHICH YOU PURCHASED THE SOFTWARE.

  1. LICENSE. Subject to the terms and conditions of this Agreement, Webroot hereby grants You a limited, non-exclusive, personal license to install, perform and use the Software, in machine-readable form only, solely for Your own personal or internal business use on a single computer in accordance with the instructions, specifications and documentation provided with the Software. You may make one (1) copy of the Software only for backup and archival purposes, provided that You reproduce all copyright and other proprietary notices that are on the original copy of the Software.
  2. RESTRICTIONS. You may not use or copy the Software, or any copy thereof, in whole or in part, except as expressly provided in this Agreement. You may not modify, reproduce, create derivative works of, distribute, sell, resell, lend, loan, lease, license, sublicense or transfer (except as expressly provided herein) the Software or any portion thereof. You may not reverse engineer, disassemble, decompile, or translate the Software, or otherwise attempt to derive the source code of the Software, or authorize any third party to do any of the foregoing, except to the extent allowed under any applicable law. The Software contains trade secrets, trademarks, patents, and copyrights owned by Webroot, and You shall maintain the Software in confidence. You shall not allow any access to or use of the Software by anyone other than You, or Your employees or agents, and any such use must be consistent with the terms, conditions and restrictions set forth in this Agreement. You may transfer the limited license granted herein solely in connection with the transfer of the Software, provided, however, that You deliver all copies of the Software to the transferee, that You do not keep any copies of the Software or related materials, and that the transferee is given a copy of this Agreement and acknowledges and agrees to be bound by its terms. Any attempt to transfer any of the rights, duties or obligations hereunder not in accordance with the foregoing is null and void and without any force or effect.
  3. LICENSE FEES. You are responsible for paying Webroot or the retailer from whom you purchased the Software, the specified fees, and applicable taxes, for the license of the Software.
  4. OWNERSHIP. The Software is licensed, not sold, to You for Your use only under the terms of this Agreement, and Webroot reserves all rights not expressly granted to You. You own the media, if any, on which the Software is recorded, but Webroot retains ownership of all copies of the Software itself.
  5. UPDATES/SUPPORT. From time to time, Webroot may make new releases, revisions or enhancement to the Software ("Updates") available to You. Your purchase must be recorded with Webroot either through product registration or a direct purchase through www.webroot.com for You to be notified of Updates. You may download and install those Updates, if any, within one (1) year of the Effective Date of this Agreement, or for as long as Your subscription is valid if You are licensing the Spy Sweeper Software on a subscription basis (offered only for the Spy Sweeper Software). Webroot will provide You with email or telephone support for the Software for one (1) year from the Effective date, or for as long as Your subscription is valid.
  6. TERM/TERMINATION. The Agreement becomes effective when You agree to the terms and conditions of this Agreement by opening, installing, using, accessing or manipulating the Software (the "Effective Date"), and this Agreement will terminate immediately upon notice to You if You materially breach any term or condition of this Agreement. You agree upon termination to promptly destroy the Software and all copies thereof.
  7. TRIAL. If you are using the Software on a trial basis, and are authorized to do so, then You shall have a license under this Agreement to use the Software for the number of days indicated in the materials accompany the Software (the "Trial Period") from the date You install it, solely for the purpose of evaluating the Software to determine whether to purchase an ongoing license to the Software. At the end of the Trial Period, the Software will stop working. During the Trial Period, the Software is provided to You "as is" and Your use is entirely at Your own risk.
  8. WARRANTY DISCLAIMER. THE SOFTWARE IS PROVIDED TO YOU "AS IS" AND WEBROOT AND ITS SUPPLIERS AND LICENSORS EXPRESSLY DISCLAIM ANY AND ALL WARRANTIES AND REPRESENTATIONS OF ANY KIND WITH REGARD TO ANY SUBJECT MATTER OF THIS AGREEMENT, INCLUDING, WITHOUT LIMITATION, ANY WARRANTY OF NON-INFRINGEMENT, TITLE, FITNESS FOR A PARTICULAR PURPOSE, FUNCTIONALITY OR MERCHANTILIABILITY, WHETHER EXPRESS, IMPLIED OR STATUTORY. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY WEBROOT, ITS EMPLOYEES, DISTRIBUTORS, DEALERS, OR AGENTS SHALL INCREASE THE SCOPE OF THE ABOVE WARRANTIES OR CREATE ANY NEW WARRANTIES.
  9. LIMITATION OF REMEDIES. REGARDLESS OF WHETHER ANY REMEDY SET FORTH HEREIN FAILS OF ITS ESSENTIAL PURPOSE OR OTHERWISE, IN NO EVENT WILL WEBROOT OR ITS SUPPLIERS BE LIABLE TO YOU OR TO ANY THIRD PARTY FOR ANY LOST PROFITS, LOST DATA, INTERRUPTION OF BUSINESS, OR OTHER SPECIAL, INDIRECT, INCIDENTAL OR CONSEQUENTIAL DAMAGES OF ANY KIND ARISING OUT OF THE USE OR INABILITY TO USE THE SOFTWARE OR ANY DATA SUPPLIED THEREWITH, EVEN IF WEBROOT HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH LOSS OR DAMAGES AND WHETHER OR NOT SUCH LOSS OR DAMAGES ARE FORESEEABLE. IN NO EVENT SHALL THE LIABILITY OF WEBROOT EXCEED THE TOTAL AMOUNT RECEIVED BY WEBROOT FROM YOU UNDER THIS AGREEMENT.
  10. FOR SPY SWEEPER® SOFTWARE ONLY: YOUR ACKNOWLEDGMENTS. You acknowledge that Your use of the Spy Sweeper Software may remove or disable other programs from Your computer, including software that may or may not be "spyware," and You agree that Webroot shall not be responsible for such removal or disabling or the results of such removal or disabling. You are solely responsible for selecting which programs the Spy Sweeper Software removes from your computer. While Webroot uses reasonable efforts to properly identify those products that constitute or include "spyware" and update its list of such products, Webroot cannot guarantee that its list is complete or completely accurate. Because new and/or modified "spyware" programs are regularly introduced, You should make sure You receive Updates to the Spy Sweeper software to detect those new products Webroot adds when we provide Updates to the Spy Sweeper Software.
  11. AUTHORITY AND INDEMNITY. If You have entered into this Agreement on behalf of (or to facilitate the use of the Software by) a Company of which You are an employee or agent, You represent and warrant that You have the full corporate right, power and authority to enter into this Agreement on behalf of the Company, that this Agreement has been duly authorized by the Company and that this Agreement will constitute the legal, valid and binding obligation of the Company, enforceable against the Company in accordance with its terms. You hereby agree to indemnify and hold Webroot harmless from any and all claims, damages, losses and expenses (including, without limitation, attorneys' fees) arising from any breach of this Section 11.
  12. U. S. GOVERNMENT END USERS. The Software is a "commercial item" as that term is defined at 48 C.F.R. 2.101, consisting of "commercial computer software" and "commercial computer software documentation" as such terms are used in 48 C.F.R. 12.212. Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4, all U.S. Government end users acquire the Software with only those rights set forth therein.
  13. EXPORT LAW. The Software and related technology are subject to U.S. export control laws and may be subject to export or import regulations in other countries. You agree to strictly comply with all such laws and regulations and acknowledge that You have the responsibility to obtain such licenses to export, re-export or import as may be required.
  14. HIGH RISK ACTIVITY. You acknowledge and agree that the Software is not intended for use with any high risk or strict liability activity, including, without limitation, air or space travel, technical building or structural design, power plant design or operation, life support or emergency medical operations or uses, and that Webroot makes no warranty and shall have no liability arising from any use of the Software in any high risk or strict liability activities.
  15. GENERAL. This Agreement will be governed by the laws of the State of Colorado in the United States of America, without regard to or application of any conflicts of law rules or principles. The federal and state courts for Denver or Boulder County shall have exclusive jurisdiction over any disputes, claims or controversies arising out of or relating to this Agreement, and You hereby irrevocably waive any objection to the jurisdiction of such courts over any such dispute, claim or controversy. If any provision of this Agreement is held to be unenforceable, that provision will be enforced to the extent permissible by law and the remaining provisions will remain in full force. This Agreement is the complete and exclusive statement of the agreement between us which supersedes any proposal or prior agreement, oral or written, and any other communications between You and Webroot in relation to the subject matter of this Agreement.

If You have any questions regarding this Agreement or the Software, please contact the party that supplied the Software to You.

THE SOFTWARE IS PROTECTED BY UNITED STATES COPYRIGHT LAW AND INTERNATIONAL TREATY.
UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.

© Copyright 2003, Webroot. All rights reserved. Protected by copyright and licenses restricting use, copying, distribution and decompilation. Webroot and Window Washer are trademarks of Webroot.